//=============================================================================
//
// Adventure Game Studio (AGS)
//
// Copyright (C) 1999-2011 Chris Jones and 2011-2025 various contributors
// The full list of copyright holders can be found in the Copyright.txt
// file, which is part of this source code distribution.
//
// The AGS source code is provided under the Artistic License 2.0.
// A copy of this license can be found in the file License.txt and at
// https://opensource.org/license/artistic-2-0/
//
//=============================================================================

#ifndef __AC_SCRIPTDYNAMICSPRITE_H
#define __AC_SCRIPTDYNAMICSPRITE_H

#include "ac/dynobj/cc_agsdynamicobject.h"

struct ScriptDynamicSprite final  : AGSCCDynamicObject
{
public:
    static const char *TypeID;

    int slot = 0; // 0 is a "safety placeholder" sprite id

    int Dispose(void *address, bool force) override;
    const char *GetType() override;
    void Unserialize(int index, AGS::Common::Stream *in, size_t data_sz) override;

    ScriptDynamicSprite() = default;
    ScriptDynamicSprite(int slot);

protected:
    // Calculate and return required space for serialization, in bytes
    size_t CalcSerializeSize(const void *address) override;
    // Write object data into the provided stream
    void Serialize(const void *address, AGS::Common::Stream *out) override;
};

#endif // __AC_SCRIPTDYNAMICSPRITE_H
